package com.yidian.shenghuoquan.bdemo.dto

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

/**
 * 确认订单请求参数
 */
@Parcelize
data class ConfirmOrderRequest(
  @SerializedName("business_from")
  val businessFrom: Int? = null,
  @SerializedName("goods_list")
  val goodsList: List<Goods>? = null,
  @SerializedName("marketing_id")
  val marketingId: String? = null
) : Parcelable

@Parcelize
data class Goods(
  @SerializedName("goods_sku_id")
  val goodsSkuId: String? = null,
  @SerializedName("goods_sku_num")
  val goodsSkuNum: Int? = null
) : Parcelable
